package cn.com.countrygarden.bi.main.util;

import net.sourceforge.pinyin4j.PinyinHelper;

public class PinYinUtils  {

	/**
	 * 返回大写拼音
	 * @param hanzi
	 * @return
	 */
	public static String getHanziInitials(String hanzi) {

		String result = null;

		if (null != hanzi && !"".equals(hanzi)) {

			char[] charArray = hanzi.toCharArray();

			StringBuffer sb = new StringBuffer();

			for (char ch : charArray) {

				// 逐个汉字进行转换， 每个汉字返回值为一个String数组（因为有多音字）

				String[] stringArray = PinyinHelper.toHanyuPinyinStringArray(ch);

				if (null != stringArray) {

					sb.append(stringArray[0].charAt(0));

				}

			}

			if (sb.length() > 0) {

				result = sb.toString().toUpperCase();

			}

		}

		return result.toUpperCase();

	}

}
